# 项目相关配置
ruoyi:
  # 名称
  name: park
  # 版本
  version: 3.8.8
  # 版权年份
  copyrightYear: 2025
  # 文件路径 示例（ Windows配置D:/ruoyi/uploadPath，Linux配置 /home/ruoyi/uploadPath）
  profile: /opt/project/ruoyi/ruoyi-backend/upload-file-path
  # 获取ip地址开关
  addressEnabled: false
  # 验证码类型 math 数字计算 char 字符验证
  captchaType: math
  tenant:
    enable: true

# 开发环境配置
server:
  # 服务器的HTTP端口，默认为8080
  port: 28080
  servlet:
    # 应用的访问路径
    context-path: /pkb
  tomcat:
    # tomcat的URI编码
    uri-encoding: UTF-8
    # 连接数满后的排队数，默认为100
    accept-count: 1000
    threads:
      # tomcat最大线程数，默认为200
      max: 800
      # Tomcat启动初始化的线程数，默认值10
      min-spare: 100
  compression:
    ## 开启服务端的报文压缩
    enabled: true
    ## 只压缩响应类型为application/json的报文
    mime-types: application/json
    ## 触发压缩报文的最小响应体大小，默认2048字节（2KB）
    min-response-size: 2048

# 日志配置
logging:
  level:
    com.ruoyi: debug
    com.huashe: debug
    org.springframework: warn
    com:
      huashe.park.infrastructure.socket.client: info

# 用户配置
user:
  password:
    # 密码最大错误次数
    maxRetryCount: 5
    # 密码锁定时间（默认10分钟）
    lockTime: 10

# Spring配置
spring:
  mvc:
    pathmatch:
      matching-strategy: ant_path_matcher
  # 资源信息
  messages:
    # 国际化资源文件路径
    basename: i18n/messages
    encoding: UTF-8
  profiles:
    active: hm
  # 文件上传
  servlet:
    multipart:
      # 单个文件大小
      max-file-size: 10MB
      # 设置总上传的文件大小
      max-request-size: 20MB
forest:
  max-connections: 1000        # 连接池最大连接数
  connect-timeout: 3000        # 连接超时时间，单位为毫秒
  read-timeout: 3000           # 数据读取超时时间，单位为毫秒
  backend: okhttp3 # 配置后端HTTP API为 okhttp3
  ## 日志总开关，打开/关闭Forest请求/响应日志（默认为 true）
  log-enabled: true
  ## 打开/关闭Forest请求日志（默认为 true）
  log-request: true
  ## 打开/关闭Forest响应状态日志（默认为 true）
  log-response-status: true
  ## 打开/关闭Forest响应内容日志（默认为 false）
  log-response-content: true
  custom:
    # 自定义配置
    holiday: https://raw.githubusercontent.com
    uwb:
      enabled: true
      uwb-socket: ws://172.192.13.80:2223/socket/websocket/pollingArea
      test-tag: 845D3
      uwb-usr: admin
      uwb-pwd: admin123
      uwb-host: http://172.192.13.80:2223
    cad:
      cad-biz-param: cad.biz.param
      cad-server: http://127.0.0.1:18080
    collect-mqtt:
      url: http://127.0.0.1:9203/pkc-collect
# token配置
token:
  # 令牌自定义标识
  header: Authorization
  # 令牌密钥
  secret: abcdefghijklmnopqrstuvwxyz
  # 令牌有效期（默认30分钟）
  expireTime: 76000

huashe:
  permit:
    urlPatterns: /pkb/**,/pkbs/**
# MyBatis配置
mybatis:
  # 搜索指定包别名
  typeAliasesPackage: com.huashe.**.domain,com.ruoyi.**.domain
  # 配置mapper的扫描，找到所有的mapper.xml映射文件
  mapperLocations: classpath*:mapper/**/*Mapper.xml
  # 加载全局的配置文件
  configLocation: classpath:mybatis/mybatis-config.xml
  type-handlers-package: com.huashe.**.typehandle

# PageHelper分页插件
pagehelper:
  helperDialect: mysql
  supportMethodsArguments: true
  params: count=countSql

# Swagger配置
swagger:
  # 是否开启swagger
  enabled: true
  # 请求前缀
  pathMapping: /dev-api

# 防止XSS攻击
xss:
  # 过滤开关
  enabled: true
  # 排除链接（多个用逗号分隔）
  excludes: /system/notice
  # 匹配链接
  urlPatterns: /system/*,/monitor/*,/tool/*

evt-fusion:
  thread-pool-size: 2

